Bug 64895 - Build of ncpfs writes to /sbin directory
Build of ncpfs writes to /sbin directory
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ncpfs (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-13 19:24 EDT by Steve Snyder
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-11 06:37:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Snyder 2002-05-13 19:24:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0rc2)
Gecko/20020510

Description of problem:
In the course of building (not installing) the ncpfs-2.2.0.18-6 package, a file
is written to the /sbin directory.  Worse, it is a dangling symlink that
overwrites a valid symlink.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.On a RedHat v7.3 system run this command:

  rpm --rebuild ncpfs-2.2.0.18-6.src.rpm

2. When the build is complete you will see a new file in /sbin.  I recommend
sort the directory listing by date.


Actual Results:  After the build is complete, this file is observed in /sbin:

lrwxrwxrwx    1 root     root           45 May 12 06:09 mount.ncp ->
/var/tmp/ncpfs-2.2.0.18-root/usr/bin/ncpmount

Expected Results:  No process should write to /sbin during the build of a SRPM
package.

Additional info: The ncpfs-2.2.0.18-6.src.rpm package was gotten from the
standard RH v7.3 distribution CD.
Comment 1 Steve Snyder 2002-06-11 06:37:28 EDT
The build of this packages also writes to /usr/lib.  Specifically, the file
"libncp.a" is written to this directory in the course of the build.
Comment 2 Florian La Roche 2002-06-17 06:43:41 EDT
Fixed in release 9 or newer rpms.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.